#!/usr/local/bin/bash 

echo "Unlimited author installer for FreeBSD"
echo "By Kamil Dubik (c) 2016"
echo ""

if [[ $EUID -ne 0 ]]; then
   echo "In order to use this script, you must be a root user!" 2>&1
   exit 1
else
   CESTA="/usr/local/share/uauthor"

   echo "Copying main binary file..."
   cp pack/uauthor /usr/local/bin/

   echo "Setting permissions..."
   chmod 755 /usr/local/bin/uauthor

   echo "Creating shared data folder..."
   mkdir $CESTA

   echo "Copying files..."
   cp pack/base/* $CESTA/
   cp -r pack/data $CESTA/
   cp -r pack/docs $CESTA/

   echo "Installation finished."
   echo ""
   echo "If you wish to place launcher icon on your Desktop, copy it from pack folder"	
   echo "into the correct folder, using command line like this:"
   echo '  $ cp pack/uauthor.desktop $HOME/Desktop'
   echo ""
   echo "To uninstall application, use script in current folder, using command line:"
   echo '  $ sudo ./uninstall'
   echo ""
   echo "To run application, just write into the command line:"
   echo '  $ uauthor'
   echo ""

fi
